@charset "utf-8";
/* CSS Document */
@import "../vendor/bootstrap/bootstrap-grid.min.css";
@import "../vendor/font-awesome/css/all.min.css";

/* eb-garamond-regular - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'EB Garamond';
  font-style: normal;
  font-weight: 400;
  src: url('../fonts/eb-garamond-v32-latin-regular.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* eb-garamond-italic - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'EB Garamond';
  font-style: italic;
  font-weight: 400;
  src: url('../fonts/eb-garamond-v32-latin-italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* eb-garamond-700 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'EB Garamond';
  font-style: normal;
  font-weight: 700;
  src: url('../fonts/eb-garamond-v32-latin-700.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* eb-garamond-700italic - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'EB Garamond';
  font-style: italic;
  font-weight: 700;
  src: url('../fonts/eb-garamond-v32-latin-700italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* nunito-sans-regular - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Nunito Sans';
  font-style: normal;
  font-weight: 400;
  src: url('../fonts/nunito-sans-v19-latin-regular.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* nunito-sans-italic - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Nunito Sans';
  font-style: italic;
  font-weight: 400;
  src: url('../fonts/nunito-sans-v19-latin-italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* nunito-sans-700 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Nunito Sans';
  font-style: normal;
  font-weight: 700;
  src: url('../fonts/nunito-sans-v19-latin-700.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* nunito-sans-700italic - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Nunito Sans';
  font-style: italic;
  font-weight: 700;
  src: url('../fonts/nunito-sans-v19-latin-700italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* Variables */
:root {
	--green: #006133;
	--red: #a81815;
	--light-green: #afc892;
	--light-blue: #aec8e8;
	--yellow: #f7f4ef;
	--dark: #2e2c2c;
	--green-rgb: 0,97,51;
}

* {
	border: none;
	box-sizing: border-box;
	margin: 0;
	padding: 0;
}

body {
	color: var(--dark);
	font-family: 'Nunito Sans', Futura, Arial, Helvetica, sans-serif;
}

img {
	max-width: 100%;
	height: auto;
}

a {
	color: var(--green);
	text-decoration: none;
}

a:hover, a:focus {
	text-decoration: underline;	
}

h1, h2, h3 {
	font-family: 'EB Garamond', 'Hoefler Text', Garamond, Times, Times New Roman, serif;
}

h1 {
	color: var(--green);
	font-size: 2rem;
	margin-bottom: 1rem;
	text-align:center;
}

h2 {
	color: var(--green);
	margin-bottom: 1.5rem;
}

p {
	margin-bottom: 1rem;
}

label,
input[name="firstname"] {
	display: none;
}

input,
textarea {
	display: block;
	font-family: inherit;
	font-size: inherit;
	margin-bottom: 1rem;
	padding: 0.25rem 0.5rem;
	width: 100%;
}

textarea {
	height: calc(100% - 1rem);
}

input::placeholder,
textarea::placeholder {
	color: rgba(0,0,0,0.66);
}

button[type="submit"] {
	background-color: var(--green);
	color: white;
	cursor: pointer;
	display: block;
	font-family: inherit;
	font-size: inherit;
	margin-left: auto;
	margin-right: 0;
	padding: 0.25rem 0.5rem;
}

button[type="submit"]:hover {
	background-color: var(--dark);
}

section {
	padding: 2rem 0;
}

.fa {
	color: var(--red);
}

.header {
	background-color: white;
	box-shadow: 0px 1px 3px rgba(0,0,0,0.16);
	padding: 0.5rem 0;
	position: sticky;
	text-align: center;
	top: 0;	
}

.nav-wrapper {
	margin-top: 1rem;
	text-align: center;
}

.topbar a {
	color: var(--dark);
	font-weight: bold;
	margin-left: 1rem;
	white-space: nowrap;
}

.topbar a .fa {
	color: var(--red);
}

.nav {
	margin-top: 1rem;
}

.nav a {
	background-color: var(--light-green);
	color: white;
	display: inline-block;
	margin-left: 0.5rem;
	padding: 0.5rem 1rem;
	transition: background-color 0.3s ease-in 0s;
}

.nav a:hover, .nav a:focus, .nav a.active {
	background-color: var(--green);
	color: white;
	text-decoration: none;
}

.parallax {
	background-attachment: fixed;
	background-position: center center;
	background-repeat: no-repeat;
	background-size: cover;
}

.parallax .content-box {
	background-color: rgba(var(--green-rgb), 0.88);
	color: white;
	padding: 1rem;
}

.content-box h2 {
	color: white;
}

.content-box ul {
	list-style: none;	
}

.content-box li {
	padding-left: 2rem;
	margin-bottom: 1rem;
}

.content-box li::before {
	content: "\f14a";
    font-family: "Font Awesome 7 Free";
    margin-left: -1.5em;
	margin-right: 0.5rem;
}

.form {
	background-color: var(--light-green);	
	margin-top: 2rem;
	padding: 2rem 0;
}

.form-output p {
	background-color: var(--yellow);
	border: 1px solid transparent;
	font-weight: bold;
	padding: 0.5rem 1rem;
}

.form-output .error {
	border-color: var(--red);
	color: var(--red);	
}

.form-output .success {
	border-color: var(--green);
	color: var(--green);	
}

.footer {
	background-color: var(--green);
	color: white;
	padding: 0.5rem 0;	
}

.footer a {
	color: white;
}

#leistungen {
	background-image: url(../img/parallax.jpg);
}

#kontakt {
	padding-bottom: 0;
}

@media (min-width: 768px) {
	body {
		font-size: 1.25rem;
	}
	
	section {
		padding: 3rem 0;
	}
	
	h1 {
		font-size: 2.5rem;	
		margin-bottom: 1.5rem;
	}
	
	.header {
		padding: 1rem 0;
		text-align: left;
	}
	
	.nav-wrapper {
		align-items: flex-end;
		display: flex;
		flex-direction: column;
		justify-content: space-between;
		margin: 0;
		text-align: right;
	}
	
	.nav a {
		margin-left: 1.5rem;
	}
	
	.parallax {
		padding: 5rem 0;
	}
	
	.parallax .content-box {
		padding: 2rem;
	}
	
	.content-box ul {
		column-count: 2;
		column-gap: 2rem;
	}
	
	.footer p {
		margin: 0;
	}
	
	.footer .container {
		align-itrms: center;
		display: flex;
		flex-direction: row;
		justify-content: space-between;
	}
	
	.form {
		padding: 4rem 0;
	}
	
	#kontakt {
		padding-top: 4rem;
	}
}

@media (min-width: 1400px) {
	.container {
		max-width: 1140px;
	}
}